      SUBROUTINE SETDAT(IO)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine finds time and date and stores in       ===
C   ===                  character variable DATE                   ===
C   ===                                                            ===
C   ===    ATTENTION - non-standard intrinsic function FDATE       ===
C   ===               SUN-UNIX, SUPRENUM, CS Tools                 ===
C   ===                                                            ===
C   ===                       vsg - May, 92                        ===
C   ==================================================================

CC-non-standard
      EXTERNAL DATE, CLOCK
      CHARACTER  FDATE *12, TIME*8

CC-non-standard
      CALL DATE(FDATE)
      CALL CLOCK(TIME)

      WRITE(IO,*)'   This run started ',  FDATE,TIME

      END
